---
title: Namdhinggo - Resources
fontversion: 3.000
---

## Requirements

These fonts are supported by all major operating systems (macOS, Windows, Linux-based, iOS, and Android), however the extent of that support depends on the individual OS and application.

## Installation

Install the fonts by decompressing the .zip archive and installing the fonts using the standard font installation process for .ttf (TrueType/OpenType) fonts for your platform. For additional tips see the help page on [Font installation](https://software.sil.org/fonts/installation).

## Keyboarding and character set support

These fonts do not include keyboards or other software for entering text. To type the symbols in these fonts use the keyboarding systems provided in your OS or use a separate utility. SIL’s [Keyman](https://keyman.com/) provides keyboards for over 2000 languages and works on all major desktop and mobile platforms.

Two separate Keyman keyboards for Limbu script are available.

- [Limbu Phonetic (SIL)](]https://keyman.com/keyboards/sil_limbu_phonetic) keyboard uses a Romanized layout, where the Limbu characters are located on the corresponding Latin keys (Limbu U+1901 LIMBU LETTER KA is on the 'k' key, etc.).
- The [Limbu Typewriter (SIL)](https://keyman.com/keyboards/sil_limbu_typewriter) is the "Typewriter" layout, which roughly matches the layout of a manual Devanagari typewriter.

For information on other keyboarding options see the overview at [Keyboard Systems Overview (ScriptSource)](https://scriptsource.org/entry/ytr8g8n6sw).

See [Character set support](charset.md) for details of the Unicode characters supported by these fonts.

## Rendering and application support

- The font will work in applications that use HarfBuzz (such as Firefox, Chrome, Android, and LibreOffice) and InDesign (2020 and later).
- The font will not work in DirectWrite applications (such as Microsoft Word on Windows) prior to Windows 11, which contains a fix for Limbu script shaping.

## Web fonts

Web font versions of these fonts (in WOFF and WOFF2 formats) are available in the `web` folder. These can be copied to a web server and used as fonts on web pages. A very basic HTML/CSS demo page is also included. For more information on the options and techniques available for using these fonts on web pages see [Using SIL Fonts on Web Pages](http://software.sil.org/fonts/webfonts).

## Text conversion

These fonts are encoded according to [The Unicode Standard](http://unicode.org). If you have text that uses a legacy, non-Unicode encoding there are tools that can help you convert that text for use with Unicode fonts. See [Introduction to Text Conversion and Transliteration](https://scriptsource.org/entry/xlzd6n5aqt).
